/*
 * Copyright 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */


#include <aux.h>
#include <auxPrivate.h>
#include <stdlib.h>


/**************************************************************************
 *   auxCleanup() - Close all windows, release contexts, and close server 
 *                     connection.
 **************************************************************************/

GLvoid
auxCleanup( GLvoid )
{
	register auxWindow       *tmp;

	for ( tmp = auxState.head; tmp; tmp = tmp->next )
		XUnmapWindow( auxState.display, tmp->glxWindow );

	for ( tmp = auxState.head; tmp; tmp = tmp->next ) {
		glXDestroyContext ( auxState.display, tmp->glxContext );
		XDestroyWindow ( auxState.display, tmp->glxWindow );
	}

	XCloseDisplay( auxState.display );
}


/**************************************************************************
 *   auxQuit() - convenience function for exiting programs
 **************************************************************************/

GLvoid
auxQuit( GLvoid )
{
	exit( EXIT_SUCCESS );
}
